<?xml version="1.0" encoding="UTF-8"?>
<uml:Model xmi:version="20131001" xmlns:xmi="http://www.omg.org/spec/XMI/20131001" xmlns:ecore="http://www.eclipse.org/emf/2002/Ecore" xmlns:uml="http://www.eclipse.org/uml2/5.0.0/UML" xmi:id="_XHOmsFAUEeaDo9LNtFuqhg" name="ESFFMEA">
  <packagedElement xmi:type="uml:Class" xmi:id="_NAWTkFJUEeaIvuiu5ht2Dg" name="SFMEA">
    <generalization xmi:type="uml:Generalization" xmi:id="_TWpuUFJUEeaIvuiu5ht2Dg">
      <general xmi:type="uml:Class" href="../../../../../org.polarsys.esf.core.metamodel.esfcore/src/main/resources/metamodel/esfcore_metamodel.uml#_Hn86wO8PEeSuEPecb1bpsg"/>
    </generalization>
    <ownedAttribute xmi:type="uml:Property" xmi:id="_HNyUoJUnEeaOm-Nr2hlYpg" name="sBlocksFMEAList" type="_p82psFJVEeaIvuiu5ht2Dg" aggregation="composite" association="_HNxtkJUnEeaOm-Nr2hlYpg">
      <lowerValue xmi:type="uml:LiteralInteger" xmi:id="_KgFL0JUnEeaOm-Nr2hlYpg"/>
      <upperValue xmi:type="uml:LiteralUnlimitedNatural" xmi:id="_KgHoEJUnEeaOm-Nr2hlYpg" value="*"/>
      <defaultValue xmi:type="uml:LiteralString" xmi:id="_WtRhcJUnEeaOm-Nr2hlYpg" value=""/>
    </ownedAttribute>
  </packagedElement>
  <packagedElement xmi:type="uml:Class" xmi:id="_Mo8qwFJVEeaIvuiu5ht2Dg" name="AbstractSFMEAElement" isAbstract="true">
    <generalization xmi:type="uml:Generalization" xmi:id="_ZWZ00FJVEeaIvuiu5ht2Dg">
      <general xmi:type="uml:Class" href="../../../../../org.polarsys.esf.core.metamodel.esfcore/src/main/resources/metamodel/esfcore_metamodel.uml#_Q05ZgOjPEeSQI-4c5olYjA"/>
    </generalization>
  </packagedElement>
  <packagedElement xmi:type="uml:Class" xmi:id="_p82psFJVEeaIvuiu5ht2Dg" name="SBlockFMEA">
    <generalization xmi:type="uml:Generalization" xmi:id="_vL0o8FJVEeaIvuiu5ht2Dg" general="_Mo8qwFJVEeaIvuiu5ht2Dg"/>
    <ownedAttribute xmi:type="uml:Property" xmi:id="_5V9LkFJeEeaIvuiu5ht2Dg" name="sBlock" association="_5V7WYFJeEeaIvuiu5ht2Dg">
      <type xmi:type="uml:Class" href="../../../../../org.polarsys.esf.core.metamodel.esfarchitectureconcepts/src/main/resources/metamodel/esfarchitectureconcepts_metamodel.uml#_kxtEMP7eEeSjxZWa7Oxjag"/>
    </ownedAttribute>
    <ownedAttribute xmi:type="uml:Property" xmi:id="_kwR8cFMsEeasj__VX2opGw" name="criticality">
      <type xmi:type="uml:PrimitiveType" href="pathmap://UML_LIBRARIES/UMLPrimitiveTypes.library.uml#Integer"/>
    </ownedAttribute>
    <ownedAttribute xmi:type="uml:Property" xmi:id="_80N2kFMsEeasj__VX2opGw" name="diagnosticCoverage">
      <type xmi:type="uml:PrimitiveType" href="pathmap://UML_LIBRARIES/UMLPrimitiveTypes.library.uml#Real"/>
    </ownedAttribute>
    <ownedAttribute xmi:type="uml:Property" xmi:id="_EclWIFMtEeasj__VX2opGw" name="SSF">
      <type xmi:type="uml:PrimitiveType" href="pathmap://UML_LIBRARIES/UMLPrimitiveTypes.library.uml#Real"/>
    </ownedAttribute>
    <ownedAttribute xmi:type="uml:Property" xmi:id="_QRd5cFMtEeasj__VX2opGw" name="sFailureModesFMEAList" type="_0GWCMFJVEeaIvuiu5ht2Dg" aggregation="composite" association="_QRXLwFMtEeasj__VX2opGw">
      <lowerValue xmi:type="uml:LiteralInteger" xmi:id="_fZdzUFMtEeasj__VX2opGw"/>
      <upperValue xmi:type="uml:LiteralUnlimitedNatural" xmi:id="_fZ6fQFMtEeasj__VX2opGw" value="*"/>
    </ownedAttribute>
  </packagedElement>
  <packagedElement xmi:type="uml:Class" xmi:id="_0GWCMFJVEeaIvuiu5ht2Dg" name="SFailureModeFMEA">
    <generalization xmi:type="uml:Generalization" xmi:id="_5iorwFJVEeaIvuiu5ht2Dg" general="_Mo8qwFJVEeaIvuiu5ht2Dg"/>
    <ownedAttribute xmi:type="uml:Property" xmi:id="_4_mPIVJgEeaIvuiu5ht2Dg" name="sFailureMode" association="_4_lBAFJgEeaIvuiu5ht2Dg">
      <type xmi:type="uml:Class" href="../../../../../org.polarsys.esf.core.metamodel.esfsafetyconcepts/src/main/resources/metamodel/esfsafetyconcepts_metamodel.uml#_rhzPwAnmEeW356xdbh3U2Q"/>
    </ownedAttribute>
    <ownedAttribute xmi:type="uml:Property" xmi:id="_FS3WgFMwEeasj__VX2opGw" name="remarks">
      <type xmi:type="uml:PrimitiveType" href="pathmap://UML_LIBRARIES/UMLPrimitiveTypes.library.uml#String"/>
    </ownedAttribute>
    <ownedAttribute xmi:type="uml:Property" xmi:id="_LPqsIFMwEeasj__VX2opGw" name="initialCriticality">
      <type xmi:type="uml:PrimitiveType" href="pathmap://UML_LIBRARIES/UMLPrimitiveTypes.library.uml#Integer"/>
    </ownedAttribute>
    <ownedAttribute xmi:type="uml:Property" xmi:id="_PBcUoFMwEeasj__VX2opGw" name="finalCriticality">
      <type xmi:type="uml:PrimitiveType" href="pathmap://UML_LIBRARIES/UMLPrimitiveTypes.library.uml#Integer"/>
    </ownedAttribute>
    <ownedAttribute xmi:type="uml:Property" xmi:id="_TtgbIFMwEeasj__VX2opGw" name="isSafe">
      <type xmi:type="uml:PrimitiveType" href="pathmap://UML_LIBRARIES/UMLPrimitiveTypes.library.uml#Boolean"/>
    </ownedAttribute>
    <ownedAttribute xmi:type="uml:Property" xmi:id="_ZdmxgFMwEeasj__VX2opGw" name="failureRate">
      <type xmi:type="uml:PrimitiveType" href="pathmap://UML_LIBRARIES/UMLPrimitiveTypes.library.uml#Real"/>
    </ownedAttribute>
    <ownedAttribute xmi:type="uml:Property" xmi:id="_pxOxAFMwEeasj__VX2opGw" name="initialOccurence">
      <type xmi:type="uml:PrimitiveType" href="pathmap://UML_LIBRARIES/UMLPrimitiveTypes.library.uml#Integer"/>
    </ownedAttribute>
    <ownedAttribute xmi:type="uml:Property" xmi:id="_sfzQEFMwEeasj__VX2opGw" name="finalOccurence">
      <type xmi:type="uml:PrimitiveType" href="pathmap://UML_LIBRARIES/UMLPrimitiveTypes.library.uml#Integer"/>
    </ownedAttribute>
    <ownedAttribute xmi:type="uml:Property" xmi:id="_vZoj8FMwEeasj__VX2opGw" name="initialSeverity">
      <type xmi:type="uml:PrimitiveType" href="pathmap://UML_LIBRARIES/UMLPrimitiveTypes.library.uml#Integer"/>
    </ownedAttribute>
    <ownedAttribute xmi:type="uml:Property" xmi:id="_yZnjIFMwEeasj__VX2opGw" name="finalSeverity">
      <type xmi:type="uml:PrimitiveType" href="pathmap://UML_LIBRARIES/UMLPrimitiveTypes.library.uml#Integer"/>
    </ownedAttribute>
    <ownedAttribute xmi:type="uml:Property" xmi:id="_mAwTkFMxEeasj__VX2opGw" name="isDetectable">
      <type xmi:type="uml:PrimitiveType" href="pathmap://UML_LIBRARIES/UMLPrimitiveTypes.library.uml#Boolean"/>
    </ownedAttribute>
    <ownedAttribute xmi:type="uml:Property" xmi:id="_o8tuYFMxEeasj__VX2opGw" name="initialDetectability">
      <type xmi:type="uml:PrimitiveType" href="pathmap://UML_LIBRARIES/UMLPrimitiveTypes.library.uml#Integer"/>
    </ownedAttribute>
    <ownedAttribute xmi:type="uml:Property" xmi:id="_g_FP0JUkEeaOm-Nr2hlYpg" name="finalDetectability">
      <type xmi:type="uml:PrimitiveType" href="pathmap://UML_LIBRARIES/UMLPrimitiveTypes.library.uml#Integer"/>
    </ownedAttribute>
    <ownedAttribute xmi:type="uml:Property" xmi:id="_oaw-QJUkEeaOm-Nr2hlYpg" name="initialPreventiveActions">
      <type xmi:type="uml:PrimitiveType" href="pathmap://UML_LIBRARIES/UMLPrimitiveTypes.library.uml#String"/>
    </ownedAttribute>
    <ownedAttribute xmi:type="uml:Property" xmi:id="_o0a0YJUkEeaOm-Nr2hlYpg" name="finalPreventiveActions">
      <type xmi:type="uml:PrimitiveType" href="pathmap://UML_LIBRARIES/UMLPrimitiveTypes.library.uml#String"/>
    </ownedAttribute>
    <ownedAttribute xmi:type="uml:Property" xmi:id="_tsEf0JUkEeaOm-Nr2hlYpg" name="localEffects">
      <type xmi:type="uml:PrimitiveType" href="pathmap://UML_LIBRARIES/UMLPrimitiveTypes.library.uml#String"/>
    </ownedAttribute>
    <ownedAttribute xmi:type="uml:Property" xmi:id="_vvyEAJUkEeaOm-Nr2hlYpg" name="systemEffects">
      <type xmi:type="uml:PrimitiveType" href="pathmap://UML_LIBRARIES/UMLPrimitiveTypes.library.uml#String"/>
    </ownedAttribute>
    <ownedAttribute xmi:type="uml:Property" xmi:id="_ygDzQJUkEeaOm-Nr2hlYpg" name="customerEffects">
      <type xmi:type="uml:PrimitiveType" href="pathmap://UML_LIBRARIES/UMLPrimitiveTypes.library.uml#String"/>
    </ownedAttribute>
    <ownedAttribute xmi:type="uml:Property" xmi:id="_07Cn8JUkEeaOm-Nr2hlYpg" name="causes">
      <type xmi:type="uml:PrimitiveType" href="pathmap://UML_LIBRARIES/UMLPrimitiveTypes.library.uml#String"/>
    </ownedAttribute>
    <ownedAttribute xmi:type="uml:Property" xmi:id="_QRd5cVMtEeasj__VX2opGw" name="sBlockFMEA" type="_p82psFJVEeaIvuiu5ht2Dg" association="_QRXLwFMtEeasj__VX2opGw">
      <lowerValue xmi:type="uml:LiteralInteger" xmi:id="_jJ4w8FMtEeasj__VX2opGw" value="1"/>
      <upperValue xmi:type="uml:LiteralUnlimitedNatural" xmi:id="_jKLE0FMtEeasj__VX2opGw" value="1"/>
    </ownedAttribute>
  </packagedElement>
  <packagedElement xmi:type="uml:Association" xmi:id="_5V7WYFJeEeaIvuiu5ht2Dg" memberEnd="_5V9LkFJeEeaIvuiu5ht2Dg _5V9yoFJeEeaIvuiu5ht2Dg">
    <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_5V8kgFJeEeaIvuiu5ht2Dg" source="org.eclipse.papyrus">
      <details xmi:type="ecore:EStringToStringMapEntry" xmi:id="_5V8kgVJeEeaIvuiu5ht2Dg" key="nature" value="UML_Nature"/>
    </eAnnotations>
    <ownedEnd xmi:type="uml:Property" xmi:id="_5V9yoFJeEeaIvuiu5ht2Dg" name="sBlockFMEA" type="_p82psFJVEeaIvuiu5ht2Dg" association="_5V7WYFJeEeaIvuiu5ht2Dg"/>
  </packagedElement>
  <packagedElement xmi:type="uml:Association" xmi:id="_4_lBAFJgEeaIvuiu5ht2Dg" memberEnd="_4_mPIVJgEeaIvuiu5ht2Dg _4_m2MFJgEeaIvuiu5ht2Dg">
    <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_4_loEFJgEeaIvuiu5ht2Dg" source="org.eclipse.papyrus">
      <details xmi:type="ecore:EStringToStringMapEntry" xmi:id="_4_mPIFJgEeaIvuiu5ht2Dg" key="nature" value="UML_Nature"/>
    </eAnnotations>
    <ownedEnd xmi:type="uml:Property" xmi:id="_4_m2MFJgEeaIvuiu5ht2Dg" name="sFailureModeFMEA" type="_0GWCMFJVEeaIvuiu5ht2Dg" association="_4_lBAFJgEeaIvuiu5ht2Dg"/>
  </packagedElement>
  <packagedElement xmi:type="uml:Association" xmi:id="_QRXLwFMtEeasj__VX2opGw" memberEnd="_QRd5cFMtEeasj__VX2opGw _QRd5cVMtEeasj__VX2opGw">
    <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_QRcEQFMtEeasj__VX2opGw" source="org.eclipse.papyrus">
      <details xmi:type="ecore:EStringToStringMapEntry" xmi:id="_QRcrUFMtEeasj__VX2opGw" key="nature" value="UML_Nature"/>
    </eAnnotations>
  </packagedElement>
  <packagedElement xmi:type="uml:Association" xmi:id="_HNxtkJUnEeaOm-Nr2hlYpg" memberEnd="_HNyUoJUnEeaOm-Nr2hlYpg _HNy7sJUnEeaOm-Nr2hlYpg">
    <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_HNxtkZUnEeaOm-Nr2hlYpg" source="org.eclipse.papyrus">
      <details xmi:type="ecore:EStringToStringMapEntry" xmi:id="_HNxtkpUnEeaOm-Nr2hlYpg" key="nature" value="UML_Nature"/>
    </eAnnotations>
    <ownedEnd xmi:type="uml:Property" xmi:id="_HNy7sJUnEeaOm-Nr2hlYpg" name="sFMEA" type="_NAWTkFJUEeaIvuiu5ht2Dg" association="_HNxtkJUnEeaOm-Nr2hlYpg"/>
  </packagedElement>
</uml:Model>
